Feature request: permit copy-paste of templates from history
Closed, ResolvedPublic

Description

Taken from VisualEditor feedback page:

Trying when editing articles to think "Could I use VE for this?" I came on an article where the {{AfD}} template had been removed and needed to be restored. The easiest way to get that right is to call up from the history a version with the template in place, and copy it from there to the current version. This doesn't seem possible in VE: after selecting the template so that it is highlighted, Ctrl-C doesn't copy it, and right-click doesn't offer a "Copy" option. JohnCD (talk) 21:29, 28 June 2013 (UTC)


Version: unspecified
Severity: normal

bzimport added a project: VisualEditor.Via ConduitNov 22 2014, 1:50 AM
bzimport set Reference to bz50421.
Mdennis-WMF created this task.Via LegacyJun 29 2013, 1:52 PM
Thryduulf added a comment.Via ConduitJul 2 2013, 10:52 PM

Even if you could paste it in, that wouldn't do any good as the VE would surround the template with <nowiki> tags. Entering any form of wikisyntax in the VE currently results in the editor thinking that you want the literal text to be displayed. This bug therefore (partly) depends on that bug being fixed too.

Mattflaschen added a comment.Via ConduitJul 9 2013, 10:11 PM

I believe Maggie means copying the VisualEditor representation of a template, not copying wikitext.

Jdforrester-WMF added a comment.Via ConduitJul 9 2013, 10:12 PM

This will be solved by bug 41193 when that is fixed; merging to that.

  • This bug has been marked as a duplicate of bug 41193 ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.